Subject: Re: [PATCH v4 13/14] builtin/update-index.c: cleanup update_one

From: Karsten Blees <[email-masked]>
Date: Fri, 08 Nov 2013 11:27:34 +0100

Am 07.11.2013 22:40, schrieb Junio C Hamano:
> Karsten Blees <[email-masked]> writes:
> 
>> -			if (p < path || p > path + strlen(path))
>> -				free((char *)p);
>> +			free(p);
> 
> The non-const cast was there for a reason.  I'll locally fix it up
> (there is another instance of the same) to get it compile before
> queuing it on 'pu'.
> 
> Thanks.
> 

Seems I spent too much time on code analysis and valgrind results that I missed the compiler warnings...didn't we have -Werror once?